//package com.persagy.framework.common.util.json;
//
//
//import cn.hutool.core.util.StrUtil;
//import lombok.extern.slf4j.Slf4j;
//
//import java.util.ArrayList;
//import java.util.List;
//
///**
// * @description: fastJson工具类
// * @author: luoguangyi
// * @company: Persagy Technology Co.,Ltd
// * @since: 2020/7/9 14:48
// * @version: V1.0
// **/
//@Slf4j
//public class FastJsonUtil {
//    /**
//     * @param content:
//     * @param t:
//     * @description:将json数据转换成pojo对象list
//     * @exception:
//     * @author: LuoGuangyi
//     * @company: Persagy Technology Co.,Ltd
//     * @return: java.util.List<T>
//     * @since: 2020/10/31 21:24
//     * @version: V1.0
//     */
//    public static <T> List<T> jsonToList(String content, Class<T> t) {
//        if (StrUtil.isNotBlank(content)) {
//            // 把字符串转成json对象
//            return JSONArray.parseArray(content, t);
//        }
//        return new ArrayList<T>();
//    }
//
//    /**
//     * 将json字符串反序列号成对象
//     *
//     * @param <T>
//     * @param json
//     * @param clazz
//     * @return
//     */
//    public static <T> T readValue(String json, Class<T> clazz) throws Exception {
//        if (StringUtils.isNotBlank(json)) {
//            return JSONObject.parseObject(json, clazz);
//        }
//        return clazz.newInstance();
//    }
//
//    /**
//     * @param json
//     * @param type
//     * @return
//     * @Title: readValue
//     * @return: T
//     */
//    public static <T> T parseObject(String json, TypeReference<T> type) {
//        return JSONObject.parseObject(json, type);
//    }
//
//    /**
//     * 将对象序列号json字符串
//     *
//     * @param obj
//     * @return
//     */
//    public static String writeValue(Object obj) {
//        return JSONObject.toJSONString(obj);
//    }
//}
