package com.persagy.framework.extension.pay;

import com.persagy.framework.extension.core.point.ExtensionPoint;
import com.persagy.framework.extension.pay.command.TransactionsCommand;
import com.persagy.framework.extension.pay.domain.TransactionsResult;

/**
 * @author
 * @version 1.0.0
 * @description 支付操作接口
 * @date 2021-08-30 10:35
 * @class com.persagy.framework.extension.pay.PayExtensionPoint.java
 */
public interface PayExtensionPoint extends ExtensionPoint {

    /**
     * 统一下单：获取"预支付交易会话标识"
     *
     * @param command
     * @return
     */
    TransactionsResult unifiedOrder(TransactionsCommand command);
}
