package com.persagy.modules.tool.dal.mysql.codegen;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.persagy.framework.mybatis.core.mapper.BaseMapperX;
import com.persagy.modules.tool.dal.dataobject.codegen.ToolCodegenColumnDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ToolCodegenColumnMapper extends BaseMapperX<ToolCodegenColumnDO> {

    default List<ToolCodegenColumnDO> selectListByTableId(Long tableId) {
        return selectList(new QueryWrapper<ToolCodegenColumnDO>().eq("table_id", tableId)
                .orderByAsc("ordinal_position"));
    }

    default void deleteListByTableId(Long tableId) {
        delete(new QueryWrapper<ToolCodegenColumnDO>().eq("table_id", tableId));
    }

}
